#include <SoftwareServo.h>
#include <SoftwareSerial.h>

//SoftwareSerial mySerial(0, 1); // RX, TX
SoftwareSerial BTSerial(5, 4); // RX, TX
#define SERVO_PIN 5

SoftwareServo servo1;

String command;
int past_addr = 0;

void setup()
{
  servo1.attach(SERVO_PIN);
  BTSerial.begin(9600);
}

void loop() {
  if (BTSerial.available()) {
    command = BTSerial.readString();
    int degree = command.toInt();
    servoWrite(degree);
  }
}

void servoWrite(int angle) {
  int change = angle - past_addr;
  int pos;

  if (change >= 0) {
    for (pos = past_addr; pos <= angle ; pos += 1) {
      servo1.write(pos);
      delay(10);
      SoftwareServo::refresh();
    }
  }
  else {
    for (pos = past_addr ; pos >= angle; pos -= 1) {
      servo1.write(pos);
      delay(10);
      SoftwareServo::refresh();
    }
  }
  past_addr = angle;
}
